dnl  "dnl" starts a comment until the next newline charcter
dnl  putting words into `'-pairs disables macro expansion
dnl
include(`/usr/share/sendmail/m4/cf.m4')
VERSIONID(`linux setup for jurix')dnl
OSTYPE(`linux')dnl
dnl
dnl  put some statistics about email into this file (man mailstats)
dnl
define(`STATUS_FILE', `/var/log/sendmail.st')dnl
dnl
dnl  use this user id if we do not use some specific local user
dnl  (e.g. for delivering error messages)
dnl
define(`confDEF_USER_ID', `daemon:daemon')dnl
dnl
dnl  we use procmail for all local mail delivery
dnl
define(`PROCMAIL_MAILER_PATH', `/usr/bin/procmail')dnl
dnl
dnl  enable this to send all error messages also to this address
dnl
define(`confCOPY_ERRORS_TO', `Postmaster')dnl
dnl
dnl  do not send MIME error messages
dnl
dnl define(`confMIME_FORMAT_ERRORS', `False')dnl
dnl
dnl  the default max message size for UUCP is only 100k and too small...
dnl
define(`UUCP_MAILER_MAX', `2000000')dnl
dnl
dnl  if you have a modem and you use dial on demand, specify the time
dnl  until you have a working connection. sendmail will then retry to
dnl  establish a connection.
dnl
dnl define(`confDIAL_DELAY', `10s')dnl
dnl
dnl  timeout before a warning message is sent to the sender telling them
dnl  that the message has been deferred
dnl
dnl define(`confTO_QUEUEWARN', `4h')dnl
dnl
dnl  timeout before a message is returned as undeliverable
dnl
dnl define(`confTO_QUEUERETURN', `5d')dnl
dnl
dnl  we will accept incoming email until a load of 18 and we will try
dnl  to deliver email until the load hits 12
dnl
define(`confQUEUE_LA', `12')dnl
define(`confREFUSE_LA', `18')dnl
dnl
dnl  you probably always want to disable the SMTP expn and verfy commands
dnl  with "noexpn" and "noverfy".
dnl  if you have lots of users, you might want to add "restrictmailq" and
dnl  "restrictrunq", but normally they can be left out.
dnl  "authwarnings" warns about all people that e.g. use "sendmail -bs"
dnl  and adds X-Authentication-Warning: headers. pine users might want to
dnl  disable this.
dnl  "noreceipts" ignores all Return-Receipt-To: headers.
dnl
define(`confPRIVACY_FLAGS', `authwarnings,novrfy,noexpn')dnl
dnl
dnl  create the dir /var/spool/mqueue/.hoststat and sendmail will write
dnl  status information about the destination hosts into it. this should
dnl  speed up email delivery on big email servers.
dnl
dnl define(`confHOST_STATUS_DIRECTORY', `.hoststat')dnl
dnl
dnl  enable the userdb lookup (userdb is not recommended, please look at
dnl  genericstable/virtusertable instead. userdb was never really intended
dnl  for setting the sender email name. so please don't use it for that.)
dnl
define(`confUSERDB_SPEC', `/etc/mail/userdb.db')dnl
dnl
dnl  these users are allowed to modify the email sender address. or
dnl  you can enable reading this list from an external file.
dnl
define(`confTRUSTED_USERS', `mdom wwwrun')dnl
dnl
dnl define(`confCT_FILE', `/etc/mail/sendmail.ct')dnl
dnl FEATURE(`use_ct_file')dnl
dnl
dnl  you can specify a smarthost either here or in /etc/mail/mailertable
dnl
dnl define(`SMART_HOST', `smtp:mail.smarthost.de')dnl
dnl define(`SMART_HOST', `uucp-dom:otheruucphost')dnl
dnl define(`MAIL_HUB', `smtp:host.your.domain')dnl
dnl define(`LOCAL_RELAY', `smtp:host.your.domain')dnl
dnl
dnl redirect all email to unknown people to root
dnl
dnl define(`LUSER_RELAY', `local:root')dnl
dnl
dnl  enable the following two lines, if you have a dialup connection
dnl  and want to queue all email until "sendmail -q" is started.
dnl
dnl define(`confCON_EXPENSIVE', `True')dnl
dnl define(`SMTP_MAILER_FLAGS',`e')dnl
dnl
dnl  sendmail will give all hostnames to your DNS server and replace the
dnl  names with the FQDN ones. as nearly all email-programs use the full
dnl  hostname and you will probably also just use full hostnames as
dnl  destination addresses, you could disable this "feature".
dnl  this is also used for dial-on-demand connections where we don't want
dnl  to trigger a connection just for a DNS query.
dnl
dnl FEATURE(`nocanonify')dnl
dnl
dnl  disable this anti-spam feature for the default configuration
dnl
FEATURE(`accept_unresolvable_domains')dnl
dnl
dnl  for anti-spam, comment out the above line and set the following:
dnl
dnl FEATURE(`rbl')dnl
dnl
dnl  just add the local domain if the email address doesn't have one
dnl
FEATURE(`always_add_domain')dnl
dnl
dnl  specify the sender email address for all outgoing mail from the local
dnl  machine. most people also want to use "masquerade_envelope" to also
dnl  change the envelope addresses.
dnl  use "allmasquerade" to also change the recipient addresse. don't use
dnl  this feature, if you don't have the full /etc/aliases and the full
dnl  /etc/passwd on your host.
dnl 
dnl MASQUERADE_AS(`newdomain.com')dnl
dnl FEATURE(`masquerade_envelope')dnl
dnl FEATURE(`allmasquerade')dnl
dnl
dnl  use procmail for local mail delivery. the exact pathname is given above.
dnl
FEATURE(`local_procmail')dnl
dnl
dnl  this table is used for all outgoing mail. just look at it for examples.
dnl
FEATURE(`mailertable', `hash -o /etc/mail/mailertable.db')dnl
dnl
dnl  you can use these tables for additional sendmail features
dnl  (mapping of email names)
dnl
FEATURE(`genericstable', `hash -o /etc/mail/genericstable.db')dnl
FEATURE(`virtusertable', `hash -o /etc/mail/virtusertable.db')dnl
dnl
dnl  XXX
dnl
FEATURE(`blacklist_recipients')dnl
FEATURE(`access_db', `hash -o /etc/mail/access.db')dnl
dnl
dnl  these mailers are available. per default only smtp is used. you have
dnl  to add entries to /etc/mail/mailertable to enable one of the other
dnl  mailers.
dnl
MAILER(`local')dnl
MAILER(`procmail')dnl
MAILER(`smtp')dnl
MAILER(`uucp')dnl
MAILER(`bsmtp')dnl
MAILER(`fido')dnl
dnl
dnl  sendmail only accepts emails as local that use the FQDN. if you want
dnl  to accpect further hostnames as local email, add them here or put
dnl  them into a sendmail.cw file.
dnl
dnl define(`confCW_FILE', `/etc/mail/sendmail.cw')dnl
dnl FEATURE(use_cw_file)dnl
dnl  alternate names:
dnl Cw localhost www.domain.com
dnl
dnl LOCAL_CONFIG
dnl O MaxMimeHeaderLength=256/128
